#include <stdio.h>
#include <stdlib.h>     /* srand, rand */
#include <time.h>       /* time */

#define MAX 5
#define MIN 2

int sisestus(char[]);
int matElSisestus(int, int);
void t66tlus(int, int, int[], int[][MAX]);
void v2ljastus(int, int, int[], int[][MAX]);
void maatriks(int, int, int[][MAX], int);

int main(void)
{
	int t;
	int N = sisestus("N ");
	int M = sisestus("M ");
	printf("Kas sisestada maatriks klaviatuurilt(0) v6i t2ita juhuarvudega(1)?\n");
	scanf("%d", &t);
	int res[2] = {0, 1};
	int mat[N][M];
	maatriks(N, M, mat, t);
	t66tlus(N, M, res, mat);
	v2ljastus(N, M, res, mat);
	return 0;
}
int sisestus(char c[])
{
	int y;
	printf("Sisestage %s[%d-%d]\n", c, MIN, MAX);
	do
	{
		scanf("%d", &y);
		if(y<MIN || y>MAX)
			printf("Viga, sisestage %c uuesti!\n", c);
	}while(y<MIN || y>MAX);

	return y;
}

void t66tlus(int N, int M, int res[], int mat[][M] )
{
	int i, j;
	for(i=0;i<N;i++)
	{
		for(j=0;j<M;j++)
		{
			if(mat[i][j] < 0)
				res[1] *= mat[i][j];
			else
				res[0] += mat[i][j];
		}
	}
}

void v2ljastus(int N, int M, int res[], int mat[][M])
{
	int i, j;
	for(i=0;i<N;i++)
	{
		for(j=0;j<M;j++)
		{
			printf("%d\t", mat[i][j]);
		}
		printf("\n");
	}
	
	if(res[1]>=res[0])
	{
		printf("Negatiivsete korrutis on %d\n", res[1]);
		printf("Positiivsete summa on %d\n", res[0]);
	}
	else
	{
		printf("Positiivsete summa on %d\n", res[0]);
		printf("Negatiivsete korrutis on %d\n", res[1]);
	}
	
}

void maatriks(int N, int M, int mat[][M], int t)
{
    srand (time(NULL));
	int i, j;
	for(i=0;i<N;i++)
	{
		for(j=0;j<M;j++)
		{
			if(t)
				mat[i][j] = (rand() % 11) - 5;
			else
				mat[i][j] = matElSisestus(i, j);
		}
	}
}

int matElSisestus(int i, int j){
	int el;	
	printf("Sisestage arv maatriksisse kohal %d %d:", i, j);
	scanf("%d", &el);
	return el;
}
